Page MenuHomePhabricator

efl_ui_win: add 'exit_on_close' property and unit test
ClosedPublic

Authored by zmike on Jan 10 2019, 12:59 PM.

Details

Summary

this property can enable the associated window to quit the main loop with
the passed exit code when the window is destroyed

@feature
fix T5494

Depends on D7594

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
zmike created this revision.Jan 10 2019, 12:59 PM
zmike requested review of this revision.Jan 10 2019, 12:59 PM
cedric requested changes to this revision.Jan 10 2019, 1:33 PM
cedric added inline comments.
src/lib/elementary/efl_ui_win.c
2992

I think we might still want to generate the STANDBY event if there is no window left.

This revision now requires changes to proceed.Jan 10 2019, 1:33 PM
zmike updated this revision to Diff 18370.Jan 11 2019, 6:49 AM
zmike edited the summary of this revision. (Show Details)
cedric accepted this revision.Jan 28 2019, 10:42 AM
This revision is now accepted and ready to land.Jan 28 2019, 10:42 AM
zmike updated this revision to Diff 19112.Jan 31 2019, 5:32 AM

doc update

This revision was automatically updated to reflect the committed changes.